<template>
  <div class="schedule-resume">
    <hr />
    <h6 class="subtitle">Detalhes do agendamento</h6>
    <p class="content">
      Abaixo estão listados os detalhes do agendamento. Clique no botão
      "Salvar" e espere o processamento da requisição. Uma mensagem de sucesso
      deverá aparecer no topo da página.
      </p>
    <div v-animate-css="'fadeIn'">
      <div class="columns is-vcentered">
        <div class="column is-half">
          <ul class="unlisted">
            <li><strong>Dados do aluno</strong></li>
            <li><strong>Nome:</strong> {{ student.name }} </li>
            <li><strong>Matrícula:</strong> {{ student.student_registration }} </li>
            <li><strong>E-mail (pessoal):</strong> {{ student.email_personal }} </li>
            <li v-if="student.email_ifce"><strong>E-mail (acadêmico):</strong> {{ student.email_ifce }} </li>
            <li><strong>Telefone (principal):</strong> {{ formated_phone(student.phone_1) }} </li>
          </ul>
        </div> <!-- column -->
        <div class="column">
          <ul class="unlisted">
            <li><strong>Consulta</strong></li>
            <li><strong>Data:</strong> {{ eventDateTime.toLocaleDateString('pt-br') }} </li>
            <li><strong>Horário:</strong> {{ eventDateTime.toLocaleTimeString('pt-br') }} </li>
            <li>Procure chegar com <strong>5 a 10 minutos</strong> de antecedência. </li>
          </ul>
        </div> <!-- column -->
      </div> <!-- columns -->
      <b-notification
        type="is-info"
        has-icon
        aria-close="Fechar notificação">
        Caso alguma das informações acima não esteja correta, procure a CCA do Campus para que seu cadastro
        seja atualizado. É de extrema importância manter os dados atualizados.
      </b-notification>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ScheduleResume',
  props: {
    student: Object,
    eventDateTime: Date
  },
  data: function ()  {
    return {
    }
  },
  created () {
    this.$store.dispatch('toStep', 2)
  },
  components: {},
  methods: {
    formated_phone (phone)  {
      return "( " + phone.slice(0, 2) + ") " + phone.slice(2)
    }
  },
  computed: {}
}
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="css">
</style>
